Name:           python-z0lib
Version:        2.0.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Bash zeroincombenze lib

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zeroincombenze/tools
Source:         %{pypi_source z0lib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'z0lib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-z0lib
Summary:        %{summary}

%description -n python3-z0lib %_description


%prep
%autosetup -p1 -n z0lib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-z0lib -f %{pyproject_files}


%changelog
%autochangelog